LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
Bridge Service Referencepublished

This meta service allows the bridgefactory service to instantiate an interprocess bridge using a certain transfer protocol. More...

`import"Bridge.idl";`

Inheritance diagram for Bridge:

## Exported Interfaces
interface | com::sun::star::lang::XInitialization
| allows to initialize the bridge service with the necessary arguments. More...
interface | com::sun::star::bridge::XBridge
| The main interface of the service. More...
interface | com::sun::star::lang::XComponent
| This interface allows to terminate the interprocess bridge. More...

## Additional Inherited Members
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XBridge
com::sun::star::uno::XInterface | getInstance ([in] string sInstanceName)
| tries to get an interface from the remote that is known by this name. More...
string | getName ()
| name that the bridge got when it was created. More...
string | getDescription ()
| a unique descriptive string: protocol + ":" + XConnection.getDescription() More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

This meta service allows the bridgefactory service to instantiate an interprocess bridge using a certain transfer protocol.

Components, that support a certain protocol, must have at least two service names:

- com.sun.star.bridge.Bridge
- arbitrary-module-path.ProtocolnameBridge

The protocol name should be written as common servicenames, first letter is a capital letter, the rest in small letters postfixed by Bridge (e.g.: `com.sun.star.bridge.UrpBridge` would be correct servicename for the "urp" protocol). However, the protocol names are compared case insensitive. If there exist two services supporting the same protocol, it is arbitrary which one is chosen, so this should be omitted.

## Exported Interfaces

## ◆ com::sun::star::bridge::XBridge

interface com::sun::star::bridge::XBridge

The main interface of the service.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

This interface allows to terminate the interprocess bridge.

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

allows to initialize the bridge service with the necessary arguments.

The sequence<any> must have 4 members.

1. String: The unique name of the bridge or an empty string
2. String: The protocol, that shall be instantiated
3. XConnection: The bidirectional connection, the bridge should work on
4. XInstanceProvider: The instance provider, that shall be called to access the initial object.

The documentation for this service was generated from the following file:

- com/sun/star/bridge/Bridge.idl